#include <linux/module.h>
#include <linux/init.h>
#include <linux/printk.h>

MODULE_LICENSE("GPL");
MODULE_AUTHOR("Pablo");
MODULE_DESCRIPTION("A second module, with a parameter.");
MODULE_VERSION("0.1");

static char *who = "tout le monde";
module_param(who, charp, S_IRUGO | S_IWUSR);
MODULE_PARM_DESC(who, "Who to salute?");

static int __init salut_init (void)
{
  printk(KERN_INFO "salut: Salut %s !\n", who);
  return 0;
}

static void __exit salut_exit (void)
{
  printk(KERN_INFO "salut: Bye %s !\n", who);
}

module_init(salut_init);
module_exit(salut_exit);

